Commit 093abf0a authored by Takuya Noguchi's avatar Takuya Noguchi 🇯🇵

Update Ruby to 2.4.4

parent b5ca9a8c
......@@ -11,7 +11,7 @@ variables:
before_script: [*install]
cache:
key: "web_ruby-2.3.3"
key: "web_ruby-2.4.4"
paths:
- tmp/cache
- vendor
......
AllCops:
TargetRubyVersion: 2.3
TargetRubyVersion: 2.4
# Cop names are not d§splayed in offense messages by default. Change behavior
# by overriding DisplayCopNames, or by giving the -D/--display-cop-names
# option.
......
......@@ -113,7 +113,7 @@ namespace :release do
date = Time.now.strftime('%Y-%m-22')
posts_dir = 'posts'
raise 'You need to specify a minor version, like 10.1' unless version =~ /\A\d+\.\d+\z/
raise 'You need to specify a minor version, like 10.1' unless /\A\d+\.\d+\z/.match?(version)
md_version = version.tr('.', '-')
md_filename = "#{source_dir}/#{posts_dir}/#{date}-gitlab-#{md_version}-released.html.md"
......@@ -160,7 +160,7 @@ namespace :release do
source_dir = File.expand_path('../source', __FILE__)
posts_dir = 'posts'
raise 'You need to specify a patch version, like 10.1.1' unless version =~ /\A\d+\.\d+\.\d+\z/
raise 'You need to specify a patch version, like 10.1.1' unless /\A\d+\.\d+\.\d+\z/.match?(version)
version = version.tr('.', '-')
date = Time.now.strftime('%Y-%m-%d')
......
......@@ -44,11 +44,11 @@ linking your account to Git.
## 5. Install Ruby and Bundler
1. In a terminal, execute: `rvm install 2.3.3` to install Ruby
1. In a terminal, execute: `rvm install 2.4.4` to install Ruby
(enter your system password if prompted).
1. Execute: `rvm use 2.3.3 --default` to set your default Ruby to `2.3.3`.
1. Execute: `rvm use 2.4.4 --default` to set your default Ruby to `2.4.4`.
1. Execute: `ruby --version` to verify Ruby is installed. You should see:
`ruby 2.3.3p222 (2016-11-21 revision 56859)`.
`ruby 2.4.4p296 (2018-03-28 revision 63013)`.
1. Execute: `gem install bundler` to install [Bundler](http://bundler.io/).
## 6. Clone the source of the website and install its dependencies
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment